function measPlot(i, X, Z, handles)
%MEASPLOT Summary of this function goes here
%   Detailed explanation goes here

set(handles.OXY_label, 'string', ['i = ' num2str(i)]);

Trajectory = get(handles.Trajectory_table,'data');
nSections = size(Trajectory,1);

x0 = get(handles.X0_table,'data');
X = [x0' X];

eps = 0.001;
OXY_limits = [(x0(1) - eps) (x0(1) + eps) (x0(3) - eps) (x0(3) + eps)];
axis(handles.OXY_plot, OXY_limits);

setOXYLimits(X(1, :), X(3, :), handles.OXY_plot);

t = 1;
for m = 1:nSections
    type = upper(Trajectory{m,1});
    length = Trajectory{m,2};
    
    if get(handles.Color_checkbox, 'Value') == 0
        color = 'k';
    else
        switch type
            case 'S'
                color = 'r';
            case 'L'
                color = 'b';
            case 'R'
                color = 'g';
        end
    end
    
    % plot section of X on Oxy
    plot(handles.OXY_plot, X(1, t: t + length), X(3, t: t + length), color, 'LineWidth', 2);
    
    t = t + length;
end

switch size(Z, 1)
    case 2
        Z = [[x0(1); x0(3)] Z];
        Z2 = Z(2, :);
    case 4
        Z = [x0' Z];
        Z2 = Z(3, :);
end

style = 'k';
if get(handles.Dot_radiobutton, 'value') == 1
    style = [style '.'];
end
if get(handles.Cross_radiobutton, 'value') == 1
    style = [style '+'];
end
if get(handles.Star_radiobutton, 'value') == 1
    style = [style '*'];
end

setOXYLimits(Z(1, :), Z2, handles.OXY_plot);

% plot Z on Oxy
if get(handles.Line_radiobutton, 'value') == 1
    plot(handles.OXY_plot, Z(1, :), Z2, 'k', 'LineWidth', 1);
else
    plot(handles.OXY_plot, Z(1, :), Z2, style, 'LineWidth', 1);
end


