function varargout = measurementsForm(varargin)
% MEASUREMENTSFORM MATLAB code for measurementsForm.fig
%      MEASUREMENTSFORM, by itself, creates a new MEASUREMENTSFORM or raises the existing
%      singleton*.
%
%      H = MEASUREMENTSFORM returns the handle to a new MEASUREMENTSFORM or the handle to
%      the existing singleton*.
%
%      MEASUREMENTSFORM('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in MEASUREMENTSFORM.M with the given input arguments.
%
%      MEASUREMENTSFORM('Property','Value',...) creates a new MEASUREMENTSFORM or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before measurementsForm_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to measurementsForm_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help measurementsForm

% Last Modified by GUIDE v2.5 02-May-2018 11:10:25

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @measurementsForm_OpeningFcn, ...
                   'gui_OutputFcn',  @measurementsForm_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before measurementsForm is made visible.
function measurementsForm_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to measurementsForm (see VARARGIN)

% Choose default command line output for measurementsForm
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes measurementsForm wait for user response (see UIRESUME)
% uiwait(handles.figure1);
grid(handles.OXY_plot, 'on');
hold(handles.OXY_plot, 'on');

% Color trajectory
set(handles.Color_checkbox, 'value', 1);

% Measurements plot style
set(handles.Line_radiobutton, 'value', 0);
set(handles.Dot_radiobutton, 'value', 1);
set(handles.Cross_radiobutton, 'value', 0);
set(handles.Star_radiobutton, 'value', 0);

% Observations
set(handles.Observable_listbox, 'string', {'Coordinates', 'Coordinates and velocities'});
set(handles.Observable_listbox, 'value', 1);

% R 
set(handles.R_table, 'data', {0.1 0; 0 0.1});

% Trajectory 
set(handles.Trajectory_table, 'data', []);

% X0 
set(handles.X0_table, 'data', []);

% Q 
set(handles.Q_table, 'data', []);

% tau 
set(handles.Tau_edit, 'string', []);





% --- Outputs from this function are returned to the command line.
function varargout = measurementsForm_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in Start_button.
function Start_button_Callback(hObject, eventdata, handles)
% hObject    handle to Start_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

cla(handles.OXY_plot)


% --- Executes on button press in Select_files_button.
function Select_files_button_Callback(hObject, eventdata, handles)
% hObject    handle to Select_files_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

[files, path] = uigetfile({'*.mat','MAT-files (*.mat)'}, 'MultiSelect', 'on');
if not(isequal(files, 0))
    set(handles.Files_listbox, 'Value', 1);
    set(handles.Input_folder_edit, 'String', path);
    if ischar(files)
        set(handles.Files_listbox, 'String', {files});
    else
        set(handles.Files_listbox, 'String', files);
    end    
end


% --- Executes during object creation, after setting all properties.
function Files_listbox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Files_listbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



% --- Executes on selection change in Measurements_listbox.
function Observable_listbox_Callback(hObject, eventdata, handles)
% hObject    handle to Measurements_listbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns Measurements_listbox contents as cell array
%        contents{get(hObject,'Value')} returns selected item from Measurements_listbox

index = get(handles.Observable_listbox, 'value');

if index == 1
 data = {0.1 0;
         0 0.1};
else
 data = {0.1 0 0 0;
         0 0.1 0 0;
         0 0 0.1 0;
         0 0 0 0.1};
end

set(handles.R_table, 'data', data);


% --- Executes during object creation, after setting all properties.
function Observable_listbox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Measurements_listbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in Select_folder_button.
function Select_folder_button_Callback(hObject, eventdata, handles)
% hObject    handle to Select_folder_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

folder_name = uigetdir('');
if folder_name ~= 0
    set(handles.Output_folder_edit, 'string', folder_name);
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over Measurements_listbox.
function Observable_listbox_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to Measurements_listbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



function Seed_edit_Callback(hObject, eventdata, handles)
% hObject    handle to Seed_edit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Seed_edit as text
%        str2double(get(hObject,'String')) returns contents of Seed_edit as a double


% --- Executes during object creation, after setting all properties.
function Seed_edit_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Seed_edit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function Tau_edit_Callback(hObject, eventdata, handles)
% hObject    handle to Tau_edit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Tau_edit as text
%        str2double(get(hObject,'String')) returns contents of Tau_edit as a double


% --- Executes during object creation, after setting all properties.
function Tau_edit_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Tau_edit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in Files_listbox.
function Files_listbox_Callback(hObject, eventdata, handles)
% hObject    handle to Files_listbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns Files_listbox contents as cell array
%        contents{get(hObject,'Value')} returns selected item from Files_listbox


% --- Executes on button press in Start_pushbutton.
function Start_pushbutton_Callback(hObject, eventdata, handles)
% hObject    handle to Start_pushbutton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

measurements(handles);



% --- Executes on button press in Select_folder_pushbutton.
function Select_files_pushbutton_Callback(hObject, eventdata, handles)
% hObject    handle to Select_folder_pushbutton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
[files, path] = uigetfile({'*.mat','MAT-files (*.mat)'}, 'MultiSelect', 'on');
if not(isequal(files, 0))
    set(handles.Files_listbox, 'Value', 1);
    set(handles.Folder_text, 'String', path);
    if ischar(files)
        set(handles.Files_listbox, 'String', {files});
    else
        set(handles.Files_listbox, 'String', files);
    end   
end


% --- Executes during object creation, after setting all properties.
function Folder_text_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Folder_text (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
set(hObject, 'String', pwd);    
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in Color_checkbox.
function Color_checkbox_Callback(hObject, eventdata, handles)
% hObject    handle to Color_checkbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
