function modPlot(i, X, handles)
%MODPLOT Summary of this function goes here
%   Detailed explanation goes here

set(handles.OXY_label, 'string', ['i = ' num2str(i)]);
set(handles.X_label,   'string', 'X');
set(handles.Vx_label,  'string', 'Vx');
set(handles.Y_label,   'string', 'Y');
set(handles.Vy_label,  'string', 'Vy');

Trajectory = get(handles.Trajectory_table,'data');
nSections = size(Trajectory,1);

x0 = get(handles.X0_table,'data');

X = [x0' X];

if (i == 1) || (get(handles.Redraw_checkbox, 'value') == 1)
    eps = 0.001;
    OXY_limits = [(x0(1) - eps) (x0(1) + eps) (x0(3) - eps) (x0(3) + eps)];
    axis(handles.OXY_plot, OXY_limits);
end

setOXYLimits(X(1, :), X(3, :), handles.OXY_plot);

t = 1;
for m = 1:nSections
    type = upper(Trajectory{m,1});
    length = Trajectory{m,2};
    
    if get(handles.Color_checkbox, 'Value') == 0
        color = 'k';
    else
        switch type
            case 'S'
                color = 'r';
            case 'L'
                color = 'b';
            case 'R'
                color = 'g';
        end
    end
    
    % plot current section of X on Oxy
    plot(handles.OXY_plot, X(1, t: t + length), X(3, t: t + length), color, 'LineWidth', 2);
    
    % plot current sections of X, Y, Vx, Vy over t
    plot(handles.X_plot,  t:t+length, X(1, t:t+length), color, 'LineWidth', 2);
    plot(handles.Vx_plot, t:t+length, X(2, t:t+length), color, 'LineWidth', 2);
    plot(handles.Y_plot,  t:t+length, X(3, t:t+length), color, 'LineWidth', 2);
    plot(handles.Vy_plot, t:t+length, X(4, t:t+length), color, 'LineWidth', 2);
    
    t = t + length;
end
