function setOXYLimits(x, y, handle)
%SETOXYLIMITS Summary of this function goes here
%   Detailed explanation goes here

xLimits = get(handle,'XLim');
yLimits = get(handle,'YLim');

xMin = min([x xLimits(1)]);
xMax = max([x xLimits(2)]);
yMin = min([y yLimits(1)]);
yMax = max([y yLimits(2)]);

xLen = xMax - xMin;
yLen = yMax - yMin;

k = 0.1;

if xMin < xLimits(1)
    xMin = xMin - k * xLen;
    xLen = xMax - xMin;
end

if xMax > xLimits(2)
    xMax = xMax + k * xLen;
    xLen = xMax - xMin;
end

if yMin < yLimits(1)
    yMin = yMin - k * yLen;
    yLen = yMax - yMin;
end

if yMax > yLimits(2)
    yMax = yMax + k * yLen;
    yLen = yMax - yMin;
end


Xc = xMin + xLen / 2;
Yc = yMin + yLen / 2;

if xLen > yLen
    axis(handle, [xMin xMax (Yc - xLen / 2) (Yc + xLen /2)]);
else
    axis(handle, [(Xc - yLen / 2) (Xc + yLen /2) yMin yMax]);
end

end

