function statistics()
%STATISTICS Summary of this function goes here
%   Detailed explanation goes here

[files, path] = uigetfile({'*.mat','MAT-files (*.mat)'}, 'MultiSelect', 'on');

if not(isequal(files, 0))
    disp(['Seleted folder: ' path]);
    disp(['Numbers of selected files: ', num2str(size(files, 2))]);
    
    if ischar(files)
        files = {files};
    end
    
    nRuns = size(files, 2);
    
    optRMSEx = zeros(1, 4);
    adaptRMSEx = zeros(1, 4);
    
    for k = 1:nRuns
        load([path cell2mat(files(k))], 'X', 'optEstX', 'adaptEstX');
        for n=1:4
            e = X(n,:) - optEstX(n,:);
            optRMSEj(n) = e * e';
            
            e = X(n,:) - adaptEstX(n,:);
            adaptRMSEj(n) = e * e';
        end
        
        optRMSEx = optRMSEx + optRMSEj;
        adaptRMSEx = adaptRMSEx + adaptRMSEj;
    end
    
    optRMSEx = sqrt(optRMSEx / nRuns / size(X, 2))
    adaptRMSEx = sqrt(adaptRMSEx / nRuns / size(X, 2))
    
    optNRMSEx = sqrt(optRMSEx * optRMSEx')
    adaptNRMSEx = sqrt(adaptRMSEx * adaptRMSEx')
else
    disp('User selected Cancel');
end

